#
# spec file for package xgrok (Version 1.4)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mmbase mmcore mmslib xpm tetex

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xgrok
Release:      20
Copyright:    1995 Thomas Driemeyer
Group: 
Provides:     xmbase-grok 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.4
Summary:      Graphical Resource Organizer Kit   
Source: xmbase-grok-1.4.1.tar.gz
Patch: xmbase-grok-1.4.1.dif
%description
Grok is a simple database manager and UI builder that can -
* keep phone and address lists (like a rolodex)
* store phone call logs
* keep todo lists
* manage any other database after simple GUI-driven customization
More precisely, grok is a program for displaying and editing strings
arranged in a grid of rows and columns. Each row is presented as a "card"
consisting of multiple columns, or "fields", that allow data entry. The
presentation of the data is programmable; a user interface builder that
allows the user to arrange fields on a card graphically is part of grok.
Grok also supports a simple language that allows sophisticated queries
and data retrieval. Grok comes with the above examples and a few others
as pre-built applications.

Authors:
--------
    Thomas Driemeyer <thomas@bitrot.in-berlin.de>

%prep
%setup -n xmbase-grok-1.4.1
%patch
xmkmf -a
%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make
mv grok grok.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make
make Manual.ps
%install
make install
install grok.1 /usr/X11R6/man/man1
chmod 644 /usr/lib/grok/grokdir/*
chmod 755 /usr/lib/grok/grokdir/procdemo
mv /usr/bin/grok /usr/bin/grok.SuSE-static
install -s grok.SuSE-dynamic /usr/bin
ln -sf grok.SuSE-static /usr/bin/grok
Check
%files
%docdir /usr/X11R6/man
%dir /usr/doc/packages/grok
%dir /usr/lib/grok
%dir /usr/lib/grok/grokdir
%doc /usr/X11R6/man/man1/grok.1.gz
/usr/bin/grok
/usr/bin/grok.SuSE-dynamic
/usr/bin/grok.SuSE-static
%doc /usr/doc/packages/grok/Manual.ps
/usr/lib/grok/grok.hlp
/usr/lib/grok/grokdir/biblio.db
/usr/lib/grok/grokdir/biblio.gf
/usr/lib/grok/grokdir/biblio.mktex.pl
/usr/lib/grok/grokdir/checkbook.db
/usr/lib/grok/grokdir/checkbook.gf
/usr/lib/grok/grokdir/countries.db
/usr/lib/grok/grokdir/countries.gf
/usr/lib/grok/grokdir/diary.db
/usr/lib/grok/grokdir/diary.gf
/usr/lib/grok/grokdir/passwd.gf
/usr/lib/grok/grokdir/phone.db
/usr/lib/grok/grokdir/phone.gf
/usr/lib/grok/grokdir/phonelog.db
/usr/lib/grok/grokdir/phonelog.gf
/usr/lib/grok/grokdir/procdemo
/usr/lib/grok/grokdir/procdemo.gf
/usr/lib/grok/grokdir/systems.gf
/usr/lib/grok/grokdir/todo.db
/usr/lib/grok/grokdir/todo.gf
/usr/lib/grok/grokdir/weather.db
/usr/lib/grok/grokdir/weather.gf
/usr/lib/grok/grokdir/workplan.gf
/usr/lib/grok/grokdir/www_pages.db
/usr/lib/grok/grokdir/www_pages.gf

